[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.NodeClass

Node class to create

## Declaration

Source position: avl_tree.pp line 111

`public property TAVLTree.NodeClass : TAVLTreeNodeClass read FNodeClass write SetNodeClass;`

## Description

NodeClass is the class of nodes to create when adding new nodes: TAVLTree.NewNode will use this class when creating a new node. This can be set to a descendent class of TAVLTreeNode, but not if there are already nodes in the tree.

## See also

TAVLTreeNode |  | Represents a node in the tree.
TAVLTree.NewNode |  | Create a new tree node